## net.sf.saxon.expr
Interface ContextMappingFunction

All Known Implementing Classes:
  AtomicMappingExpression, ForEach, ForEachGroup, PathExpression, SlashExpression

    public interface ContextMappingFunction

ContextMappingFunction is an interface that must be satisfied by an object passed to a ContextMappingIterator. It represents an object which, given an Item, can return a SequenceIterator that delivers a sequence of zero or more Items.

This is a specialization of the more general MappingFunction class: it differs in that each item being processed becomes the context item while it is being processed.

Method Summary
`SequenceIterator` `map(XPathContext context)` Map one item to a sequence.

Method Detail

### map

    SequenceIterator map(XPathContext context)
                         throws XPathException

  Map one item to a sequence.

  Parameters:
    `context` - The processing context. The item to be mapped is the context item identified from this context: the values of position() and last() also relate to the set of items being mapped
  Returns:
    a SequenceIterator over the sequence of items that the supplied input item maps to
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.